Bug 171763 - Enhancement to initscripts
Enhancement to initscripts
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Lukáš Nykrýn
Brock Organ
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 20:18 EDT by Jerry Vonau
Modified: 2013-09-04 10:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
contains patches for network-functions, ifup-eth, dhclient-script (60.00 KB, application/x-tar)
2005-10-25 20:29 EDT, Jerry Vonau
no flags Details

  None (edit)
Description Jerry Vonau 2005-10-25 20:18:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 95)

Description of problem:
There is no way to configure multi-hop gateways with the present setup, without using an external script.

Version-Release number of selected component (if applicable):
initscripts--8.11.1-1

How reproducible:
Always

Steps to Reproduce:
1. configure 2 interfaces with gateways.
2.
3.
  

Actual Results:  only the last gateway added will be used.

Expected Results:  should create the advanced routing tables and the gateways for them, install a multi-hop default gateway.

Additional info:

I have created patches that parse the ifcfg files for 2 variables, RTABLE and WEIGHT for the advanced routing information.
Comment 1 Jerry Vonau 2005-10-25 20:29:12 EDT
Created attachment 120396 [details]
contains patches for network-functions, ifup-eth, dhclient-script
Comment 2 John Poelstra 2008-07-09 01:04:46 EDT
patch present
Comment 3 Fedora Admin XMLRPC Client 2013-09-04 10:50:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.